package org.bouncycastle.graphics.rt;

import javax.vecmath.Vector3f;

public interface NormalCalculator
{
    /**
     * set the normal for this hit point (object space) in hd
     * the value is returned in n
     */
    public void getN(Hit hd, Vector3f n);
}
