package org.bouncycastle.graphics.rt;

import javax.vecmath.*;

public class Vector3
    extends Vector3f
{
    private boolean     disposed = false;
    private Vector3     next = null;

    static private Vector3  vecList = null;

    Vector3()
    {
    }

    public static Vector3 getInstance()
    {
        Vector3 v;

        if (vecList == null)
        {
            v = new Vector3();
        }
        else
        {
            v = vecList;
            vecList = vecList.next;
        }

        v.set(0, 0, 0);
        v.disposed = false;

        return v;
    }

    public void dispose()
    {
        this.disposed = true;
        this.next = vecList;
        vecList = this;
    }
}
